# Interface NativeExecutableSpec

All Superinterfaces:
  `ApplicationSpec, ComponentSpec, GeneralComponentSpec, ModelElement, Named, NativeComponentSpec, PlatformAwareComponentSpec, SourceComponentSpec, TargetedNativeComponent, VariantComponent, VariantComponentSpec`

@Incubating public interface NativeExecutableSpec extends ApplicationSpec, NativeComponentSpec, TargetedNativeComponent
Definition of a native executable component that is to be built by Gradle.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface NativeComponentSpec

`getBaseName, setBaseName`

### Methods inherited from interface PlatformAwareComponentSpec

`targetPlatform`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface TargetedNativeComponent

`targetBuildTypes, targetFlavors`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`